// Program file: graphic6.cpp

// Displays a level 0 c-curve.

void cCurve(int x1, int y1,
    int x2, int y2, int level)
{
    int xm, ym;
    if (level == 0)
    {
        moveto(x1, y1);
        lineto(x2, y2);
    }
    else
    {
        xm = (x1 + x2 + y1 - y2) / 2;
        ym = (x2 + y1 + y2 - x1) / 2;
        cCurve(x1, y1, xm, ym, level - 1);
        cCurve(xm, ym, x2, y2, level - 1);
    }
}

void main()
{
    cCurve(150, 100, 150, 200, 6);
}



